Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsThroughputTest({
serial: "string",
throughputTestId: "string",
});
export const merakiDevicesLiveToolsThroughputTestExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_throughput_test(serial="string",
throughput_test_id="string")
pulumi.export("merakiDevicesLiveToolsThroughputTestExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupLiveToolsThroughputTest(ctx, &devices.LookupLiveToolsThroughputTestArgs{
Serial: "string",
ThroughputTestId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsThroughputTestExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsThroughputTest.Invoke(new()
{
Serial = "string",
ThroughputTestId = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsThroughputTestExample"] = example.Apply(getLiveToolsThroughputTestResult => getLiveToolsThroughputTestResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsThroughputTestArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsThroughputTest(GetLiveToolsThroughputTestArgs.builder()
.serial("string")
.throughputTestId("string")
.build());
ctx.export("merakiDevicesLiveToolsThroughputTestExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsThroughputTest
arguments:
serial: string
throughputTestId: string
outputs:
merakiDevicesLiveToolsThroughputTestExample: ${example.item}
Using getLiveToolsThroughputTest
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsThroughputTest(args: GetLiveToolsThroughputTestArgs, opts?: InvokeOptions): Promise<GetLiveToolsThroughputTestResult>
function getLiveToolsThroughputTestOutput(args: GetLiveToolsThroughputTestOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsThroughputTestResult>def get_live_tools_throughput_test(serial: Optional[str] = None,
throughput_test_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsThroughputTestResult
def get_live_tools_throughput_test_output(serial: Optional[pulumi.Input[str]] = None,
throughput_test_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsThroughputTestResult]func LookupLiveToolsThroughputTest(ctx *Context, args *LookupLiveToolsThroughputTestArgs, opts ...InvokeOption) (*LookupLiveToolsThroughputTestResult, error)
func LookupLiveToolsThroughputTestOutput(ctx *Context, args *LookupLiveToolsThroughputTestOutputArgs, opts ...InvokeOption) LookupLiveToolsThroughputTestResultOutput> Note: This function is named LookupLiveToolsThroughputTest in the Go SDK.
public static class GetLiveToolsThroughputTest
{
public static Task<GetLiveToolsThroughputTestResult> InvokeAsync(GetLiveToolsThroughputTestArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsThroughputTestResult> Invoke(GetLiveToolsThroughputTestInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsThroughputTestResult> getLiveToolsThroughputTest(GetLiveToolsThroughputTestArgs args, InvokeOptions options)
public static Output<GetLiveToolsThroughputTestResult> getLiveToolsThroughputTest(GetLiveToolsThroughputTestArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsThroughputTest:getLiveToolsThroughputTest
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- Serial string
- serial path parameter.
- Throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- serial String
- serial path parameter.
- throughput
Test StringId - throughputTestId path parameter. Throughput test ID
- serial string
- serial path parameter.
- throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- serial str
- serial path parameter.
- throughput_
test_ strid - throughputTestId path parameter. Throughput test ID
- serial String
- serial path parameter.
- throughput
Test StringId - throughputTestId path parameter. Throughput test ID
getLiveToolsThroughputTest Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Throughput Test Item - Serial string
- serial path parameter.
- Throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Throughput Test Item - Serial string
- serial path parameter.
- Throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Throughput Test Item - serial String
- serial path parameter.
- throughput
Test StringId - throughputTestId path parameter. Throughput test ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Throughput Test Item - serial string
- serial path parameter.
- throughput
Test stringId - throughputTestId path parameter. Throughput test ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Throughput Test Item - serial str
- serial path parameter.
- throughput_
test_ strid - throughputTestId path parameter. Throughput test ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
- throughput
Test StringId - throughputTestId path parameter. Throughput test ID
Supporting Types
GetLiveToolsThroughputTestItem
- Error string
- Description of the error.
- Request
Get
Live Tools Throughput Test Item Request - The parameters of the throughput test request
- Result
Get
Live Tools Throughput Test Item Result - Result of the throughput test request
- Status string
- Status of the throughput test request
- Throughput
Test stringId - ID of throughput test job
- Url string
- GET this url to check the status of your throughput test request
- Error string
- Description of the error.
- Request
Get
Live Tools Throughput Test Item Request - The parameters of the throughput test request
- Result
Get
Live Tools Throughput Test Item Result - Result of the throughput test request
- Status string
- Status of the throughput test request
- Throughput
Test stringId - ID of throughput test job
- Url string
- GET this url to check the status of your throughput test request
- error String
- Description of the error.
- request
Get
Live Tools Throughput Test Item Request - The parameters of the throughput test request
- result
Get
Live Tools Throughput Test Item Result - Result of the throughput test request
- status String
- Status of the throughput test request
- throughput
Test StringId - ID of throughput test job
- url String
- GET this url to check the status of your throughput test request
- error string
- Description of the error.
- request
Get
Live Tools Throughput Test Item Request - The parameters of the throughput test request
- result
Get
Live Tools Throughput Test Item Result - Result of the throughput test request
- status string
- Status of the throughput test request
- throughput
Test stringId - ID of throughput test job
- url string
- GET this url to check the status of your throughput test request
- error str
- Description of the error.
- request
Get
Live Tools Throughput Test Item Request - The parameters of the throughput test request
- result
Get
Live Tools Throughput Test Item Result - Result of the throughput test request
- status str
- Status of the throughput test request
- throughput_
test_ strid - ID of throughput test job
- url str
- GET this url to check the status of your throughput test request
- error String
- Description of the error.
- request Property Map
- The parameters of the throughput test request
- result Property Map
- Result of the throughput test request
- status String
- Status of the throughput test request
- throughput
Test StringId - ID of throughput test job
- url String
- GET this url to check the status of your throughput test request
GetLiveToolsThroughputTestItemRequest
- Serial string
- Device serial number
- Serial string
- Device serial number
- serial String
- Device serial number
- serial string
- Device serial number
- serial str
- Device serial number
- serial String
- Device serial number
GetLiveToolsThroughputTestItemResult
- Speeds
Get
Live Tools Throughput Test Item Result Speeds - Shows the speeds (Mbps)
- Speeds
Get
Live Tools Throughput Test Item Result Speeds - Shows the speeds (Mbps)
- speeds
Get
Live Tools Throughput Test Item Result Speeds - Shows the speeds (Mbps)
- speeds
Get
Live Tools Throughput Test Item Result Speeds - Shows the speeds (Mbps)
- speeds
Get
Live Tools Throughput Test Item Result Speeds - Shows the speeds (Mbps)
- speeds Property Map
- Shows the speeds (Mbps)
GetLiveToolsThroughputTestItemResultSpeeds
- Downstream int
- Shows the download speed from shard (Mbps)
- Downstream int
- Shows the download speed from shard (Mbps)
- downstream Integer
- Shows the download speed from shard (Mbps)
- downstream number
- Shows the download speed from shard (Mbps)
- downstream int
- Shows the download speed from shard (Mbps)
- downstream Number
- Shows the download speed from shard (Mbps)
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
